Name:		tartube
Version:	2.5.040
Release:	1%{?dist}
Summary:	GUI for youtube-dl and yt-dlp
License:	LGPL-2.0-or-later
Url:		https://github.com/axcore/tartube
Source0:	https://github.com/axcore/tartube/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(multidict)

Requires:	python3dist(multidict)
Requires:	python3-feedparser
Requires:       python3-matplotlib
Requires:       python3-matplotlib-gtk3
Requires:       python3-wxpython4
Requires:	yt-dlp
Requires:	youtube-dl
Recommends:	atomicparsley
Recommends:	ffmpeg
Recommends:	python3-moviepy

Provides:	youtube-dl-gui = %version-%release
Obsoletes:	youtube-dl-gui < 0.4-4

%description
Tartube is a GUI front-end for youtube-dl, yt-dlp and other
compatible video downloaders.

It's a fork of youtube-dl-gui which works with python3.

%prep
%autosetup -p1

%build
%py3_build

%install
export TARTUBE_PKG_STRICT=1
%py3_install

mkdir -p  %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tartube
GenericName=YouTube-dl and yt-dlp GUI
Comment=GUI front-end for youtube-dl and yt-dlp
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Audio;Video;AudioVideo;
EOF

%files
%doc AUTHORS CHANGES README.rst
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/tartube/
%{python3_sitelib}/tartube/
%{python3_sitelib}/tartube-2.5.40-py%{python3_version}.egg-info
%{_mandir}/man1/*.1*


%changelog
* Fri Oct 25 2024 Martin Gansser <martinkg@fedoraproject.org> - 2.5.040-1
- update to version: 2.5.040

* Tue Jul 09 2024 daviddavid <daviddavid> 2.5.0-1
+ Revision: 2080414
- new version: 2.5.0

* Tue Mar 03 2020 Thierry Vignaud <tv@mageia.org> 2.0.0-1
- initial import
- obsolete youtube-dl-gui (which is python2 only)
